<header fxLayout="row" fxLayoutAlign="center center">
  <div class="page" fxLayout="row" fxLayoutAlign="space-between center">
    <img src="assets/img/Yum-logo-small.png" [routerLink]="['/']" width="150" class="pointer">

    <div fxLayout="row" fxLayoutAlign="space-between center">
      <span><img *ngIf="hasPicture" [src]="imgUrl" class="img-circle img-tiny"></span>
      <md-icon class="avatar img-tiny" *ngIf="!hasPicture">face</md-icon>
      <span>{{ firstName }} {{ lastName }}</span>
      <button md-icon-button [mdMenuTriggerFor]="menu">
        <md-icon>expand_more</md-icon>
      </button>
      <md-menu [overlapTrigger]="false" yPosition="below" #menu="mdMenu">
        <div fxLayout="column" fxLayoutAlign="space-between stretch" class='menu'>
          <div fxLayout="row" fxLayoutAlign="center center" *ngIf="role !== 'hungry'">

            <button md-raised-button routerLink='/hungry'
              routerLinkActive #rla="routerLinkActive"
              [disabled]="rla.isActive"
              class='nav-button'>Hungry</button>

            <button md-raised-button routerLink='/chef'
              routerLinkActive #rla2="routerLinkActive"
              [disabled]="rla2.isActive"
              class='nav-button'>Chef</button>

            <button md-raised-button routerLink='/admin'
              routerLinkActive #rla3="routerLinkActive"
              [disabled]="rla3.isActive"
              class='nav-button'>Admin</button>

          </div>
          <div fxLayout="row" fxLayoutAlign="space-between center">
            <button md-raised-button (click)="goToAccountSettings()" class='red-button'>
            <span>Account Settings</span>
          </button>
            <button md-raised-button (click)="logout()">
            <md-icon>power_settings_new</md-icon>
          </button>
          </div>
        </div>
      </md-menu>
    </div>
  </div>
</header>
